curl --request GET \
--url https://{subdomain}.logicgate.com/api/v2/applications/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.logicgate.com/api/v2/applications/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.logicgate.com/api/v2/applications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.logicgate.com/api/v2/applications/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.logicgate.com/api/v2/applications/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{subdomain}.logicgate.com/api/v2/applications/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.logicgate.com/api/v2/applications/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "a1b2c3d4",
"name": "Cyber Risk Management Application",
"description": "Cyber Risk Management Description Text",
"color": "#00a3de",
"icon": "CUBES",
"type": "CONTROLS_COMPLIANCE",
"live": false,
"restrictBuildAccess": false,
"shortCode": "TPRM",
"object": "application"
}{
"property": "<string>",
"value": "<string>",
"message": "<string>"
}{
"property": "<string>",
"value": "<string>",
"message": "<string>"
}Retrieve an application
Permissions: Build Access to application
Retrieve an application specified by the ID in the URL path.
curl --request GET \
--url https://{subdomain}.logicgate.com/api/v2/applications/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.logicgate.com/api/v2/applications/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.logicgate.com/api/v2/applications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.logicgate.com/api/v2/applications/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.logicgate.com/api/v2/applications/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{subdomain}.logicgate.com/api/v2/applications/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.logicgate.com/api/v2/applications/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "a1b2c3d4",
"name": "Cyber Risk Management Application",
"description": "Cyber Risk Management Description Text",
"color": "#00a3de",
"icon": "CUBES",
"type": "CONTROLS_COMPLIANCE",
"live": false,
"restrictBuildAccess": false,
"shortCode": "TPRM",
"object": "application"
}{
"property": "<string>",
"value": "<string>",
"message": "<string>"
}{
"property": "<string>",
"value": "<string>",
"message": "<string>"
}Authorizations
Bearer token issued via the Authentication endpoints.
Headers
A bearer authorization header containing a Risk Cloud API access token in the format Authorization: Bearer TOKEN — replace TOKEN with your actual access token.
To obtain a Risk Cloud API access token, refer to Obtain an API Access Token in the LogicGate Help Center.
Path Parameters
The unique ID of the application
Response
Success
The unique ID of this Risk Cloud resource
"a1b2c3d4"
The name of the application
"Cyber Risk Management Application"
The description of the application
"Cyber Risk Management Description Text"
The hex representation of the icon color of the application
"#00a3de"
The icon type of the application
BOOKMARK, BOLT, BULLHORN, CERTIFICATE, CHECK_SQUARE_O, CLOUD, COMMENTS, CUBES, DOLLAR, EXCLAMATION_TRIANGLE, TEXT_O, FOLDER, GIFT, GLOBE, HEARTBEAT, LEAF, LEGAL, LIFE_RING, MEDKIT, MONEY, PERCENT, ROCKET, SIGNAL, UNIVERSITY, USER_CIRCLE "CUBES"
The type of Risk Cloud application
ACCESS_MANAGEMENT, AML_KYC, ASSET_MANAGEMENT, AUDIT_MANAGEMENT, BUSINESS_CONTINUITY_PLANNING, CHANGE_MANAGEMENT, COMPLAINT_MANAGEMENT, COMPLIANCE_MANAGEMENT, CONTRACT_MANAGEMENT, CONTROLS_COMPLIANCE, CONTROLS_MANAGEMENT, CRISIS_MANAGEMENT, CUSTOM, CUSTOM_GRC_USE_CASE, CYBER_RISK_MANAGEMENT, DATA_PRIVACY_MANAGEMENT, EMPLOYEE_COMPLIANCE, ENTERPRISE_RISK_MANAGEMENT, ESG, INCIDENT_MANAGEMENT, INTERNAL_AUDIT_MANAGEMENT, IT_RISK_MANAGEMENT, NONE, OPERATIONAL_RESILIENCY, OTHER, POLICY_AND_PROCEDURE_MANAGEMENT, POLICY_MANAGEMENT, PRIVACY_MANAGEMENT, QUANTIFY, REGULATORY_COMPLIANCE, REPOSITORY, RISK_QUANTIFICATION, SOX_TESTING, STANDARDS_REGULATIONS, SURVEY, THIRD_PARTY_RISK_MANAGEMENT "CONTROLS_COMPLIANCE"
Whether the application is live
false
Whether users with the Build entitlement must be explicitly granted permission to edit this application
false
Short display code for the application
"TPRM"
Identifies the type of object this data represents
"application"